[horn-development] Build Castle, Nhibernate, Fluent NH, Rhino Commons against trunk version

9 views
Skip to first unread message

Martin Nilsson

unread,
May 24, 2010, 3:39:25 PM5/24/10
to HORN Development
Hi,

Just started to look into Horn and it looks promising. To much work
today to manually compile the Castle, Nhibernate, Fluent NH, Rhino
Commons stack..

When I do "horn -install:castle.facilities.nhibernateintegration" it
compiles against NHibernate 2.1.2.
How do I specify that it should compile against NH trunk instead.
Actually, I want to build Castle, Nhibernate, Fluent NH, Rhino Commons
against each trunk versions.

Is that possible?

Br,
Martin

--
You received this message because you are subscribed to the Google Groups "HORN Development" group.
To post to this group, send email to horn-dev...@googlegroups.com.
To unsubscribe from this group, send email to horn-developme...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/horn-development?hl=en.

Paul Cowan

unread,
May 25, 2010, 11:31:06 AM5/25/10
to horn-dev...@googlegroups.com
It is possible but you would have to create your own descriptor.

A descriptor is how horn knows to build the requested package.

You can take a look at the github repo here:

http://github.com/dagda1/hornget

Cheers

Paul Cowan

Cutting-Edge Solutions (Scotland)

http://thesoftwaresimpleton.blogspot.com/
Reply all
Reply to author
Forward
0 new messages